Hier einige Informationen zu unserer kleinen Adventskalender Vorlage, die mit einem Hotspot Banner und einem Flex Layout Drop realisiert wurde.

# Demo

Die komplette Demo findet ihr unter http://vrnth.dropper.zone

# Installation

Stelle zunächst sicher, dass du die Drops `Hotspot Banner` und `Flex Layout` installiert hast (siehe https://kreativkonzentrat.de/Wiki?page=dropper/install/drops#cmsanchor-dropsinstallieren). 
14tägige Testlizenzen für die Drops bekommst du hier: 

- Hotspot Banner: https://kreativkonzentrat.de/Hotspot-Banner?test
- Flex Layout: https://kreativkonzentrat.de/Flex-Layout?test 

Danach geht es mit dem Import der Vorlage weiter: 

1. Importiere die Datei `drops/kk-advent.json` über die Dropper Importfunktion (siehe https://kreativkonzentrat.de/Wiki?page=dropper/details/backupverwaltung#cmsanchor-import)
2. Kopiere die Bilderdateien aus dem Ordner `bilder` in das Verzeichnis `bilder/kk_dropper_uploads` eures Webservers (oder lade die Dateien über die Dropper Medienverwaltung hoch)

# Konfiguration 

Nach erfolgreicher Installation findest du 2 neue Drops in der Gruppe `KK Advent Vorlage`, `Adventskalender Grid` (Flex Layout) und `Adventskalender Hotspot Banner`.

## Adventskalender Grid

Ist der Container für unseren Adventskalender und wird im Standard am Anfang der Startseite angezeigt. 

Das Grid hat die CSS Klasse `kk-advent-grid` gesetzt, über die wir zus. CSS Regeln definieren. 
Diese Regeln findest du im Space `CSS` des Flex Layouts.

**Tipp:** über den Turnus Darstellungsfilter kannst du das ganze Flex Layout (inklusive Adventskalender) zusätzlich nur zwischen dem 01.12 und 24.12. eines Jahres angezeigen lassen.

## Adventskalender Hotspot Banner

Ist in einem Space unseres Flex Layouts verlinkt, seine Darstellung wird also darüber geregelt.

Die einzelnen Spots sind bereits mit einer Platzhaltergrafik versehen, bitte passe die Spotinhalte nach deinen Wünschen an.
Viele Funktionen des Hotspot Banners erklären wir dir in diesem Video genauer: https://www.youtube.com/watch?v=hcEvsJqV96s

**Wichtig:** auch der jeweils passende Turnus Filter für die Spots ist gesetzt, z.B. wird der Hotspot `01` nur am 01.12. eines Jahres angezeigt!

Um den Kalender schlank zu halten, haben wir einige **CSS Anpassungen** vorgenommen. Beachte hierzu den Space `CSS` im Flex Layout Drop! 

### Adventkalender ohne Flex Layout nutzen

Du kannst den Adventskalender Hotspot Banner natürlich auch ohne Flex Layout nutzen. Bitte denke aber daran, die Einfügeoptionen unter "Wann und Wo anzeigen" zu definieren.
Auch musst du die eigenen CSS Klassen und Regeln (siehe oben) entsprechend anpassen. 

# Sonderpreise planen

Unsere Lösung rabattiert natürlich keine Artikel oder Kategorien. Deine Sonderpreise musst du separat über die WaWi pflegen.
Beachte hier die Sonderpreisverwaltung in der JTL WaWi: https://guide.jtl-software.de/Sonderpreise_in_JTL-Wawi_einrichten 

# Testen!

Besuche unser Fiddle, um eine Demo ohne gesetzte Turnusfilter zu sehen: http://vrnth.dropper.zone

Teste deinen Adventskalender bitte zusätzlich, indem du die Turnusfilter temporär entfernst oder um den aktuellen Tag erweiterst. 

# Attribution

**Bitte vergiss nicht**, die Quelle für die Grafiken entsprechend zu kennzeichnen! Diese stammen von https://www.vecteezy.com

Der Adventsbaum wurde von uns leicht angepasst (Nummer 25 entfernt), das Original und weitere Infos zur passenden Quellnennung ("How do I Attribute?") findest du hier: https://www.vecteezy.com/vector-art/252733-printable-advent-calendar-christmas-tree 